| DocBook: The Definitive Guide 2.0.17 (Alpha)

# funcsynopsisinfo

$Revision$

$Date$

funcsynopsisinfo — Information supplementing the `FuncDefs` of a `FuncSynopsis`

## Synopsis

### Mixed Content Model

    funcsynopsisinfo ::=
    (#PCDATA|link|olink|ulink|action|application|classname|methodname|
     interfacename|exceptionname|ooclass|oointerface|ooexception|
     package|command|computeroutput|database|email|envar|errorcode|
     errorname|errortype|errortext|filename|function|guibutton|
     guiicon|guilabel|guimenu|guimenuitem|guisubmenu|hardware|
     interface|keycap|keycode|keycombo|keysym|literal|code|constant|
     markup|medialabel|menuchoice|mousebutton|option|optional|
     parameter|prompt|property|replaceable|returnvalue|sgmltag|
     structfield|structname|symbol|systemitem|uri|token|type|
     userinput|varname|nonterminal|anchor|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject|indexterm|beginpage|
     textobject|lineannotation)*

### Attributes

Common attributes

Name | Type | Default

linenumbering

Enumeration:
numbered
unnumbered

None

language | CDATA | None

xml:space

Enumeration:
preserve

None

continuation

Enumeration:
continues
restarts

None

format

Enumerated notation:
linespecific

"linespecific"

startinglinenumber | CDATA | None

## Description

Supplementary information in a `FuncSynopsis`. See `FuncSynopsis`.

Unlike the other info elements, `FuncSynopsisInfo` is not a container for meta-information. Instead `FuncSynopsisInfo` is a verbatim environment for adding additional information to a function synopsis.

### Processing expectations

This element is displayed “verbatim”; whitespace and linebreaks within this element are significant.

### Future Changes

The `InterfaceDefinition` element will be discarded in DocBook V4.0. It will no longer be available in the content model of this element.

### Parents

These elements contain funcsynopsisinfo: `funcsynopsis`.

### Children

The following elements occur in funcsynopsisinfo: `action`, `anchor`, `application`, `beginpage`, `classname`, `code`, `command`, `computeroutput`, `constant`, `database`, `email`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `function`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `lineannotation`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `package`, `parameter`, `prompt`, `property`, `remark`, `replaceable`, `returnvalue`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `textobject`, `token`, `type`, `ulink`, `uri`, `userinput`, `varname`.

## Attributes

format

  The `Format` attribute applies the `linespecific` notation to all `FuncSynopsisInfo`s. All white space and line breaks must be preserved.

linenumbering

  Line numbering indicates whether or not the lines of a `FuncSynopsisInfo` are to be automatically numbered. The details of numbering (every line or only selected lines, on the left or right, etc.) are left up to the processing application. Be aware that not all processors are capable of numbering lines.

## See Also

`funcdef`, `funcparams`, `funcprototype`, `function`, `paramdef`, `parameter`, `returnvalue`, `varargs`, `void`.

## Examples

For examples, see `funcsynopsis`, `refentry`, `varargs`.

funcsynopsis |  | function

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.